<%
event_chunks = Event.chunk_by_local_date(@events)
%>

<%= for chunk <- event_chunks do %>
<%
{local_time, _first_event} = List.first(chunk)
%>
<table class="table is-narrow">
  <thead>
    <tr>
      <th colspan="3"><%= format_date_text(local_time, @locale) %></th>
    </tr>
  </thead>
  <tbody>
    <%= for {local_time, event} <- chunk do %>
    <tr>
      <td><%= automatic_icon(event.preferred_origin.automatic) %></td>
      <td><%= format_time(local_time, false) %></td>
      <td>
        <a href="https://<%= @domain %><%= @event_uri_prefix %>/<%= event.publicid %>" target="_blank">
          <%= Web.Filters.event_description(event) %>&nbsp;<%= country_flag(@conn, event.distinctive_city.country_iso2) %>
        </a>
      </td>
    </tr>
    <% end %>
  </tbody>
</table>
<% end %>
<div class="content">
  <nav role="navigation" class="pagination" aria-label="pagination">
    <%= if @previous_link do %>
    <a class="pagination-previous" href="<%= @previous_link %>"><%= @previous_label %></a>
    <% else %>
    <a class="pagination-previous" disabled><%= @previous_label %></a>
    <% end %>
    <%= if @next_link do %>
    <a class="pagination-next" href="<%= @next_link %>"><%= @next_label %></a>
    <% else %>
    <a class="pagination-next" disabled><%= @next_label %></a>
    <% end %>
  </nav>
</div>
